"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.estimateDialogueDurationInSeconds = void 0;
const extractDialogueTexts_1 = require("./extractDialogueTexts");
function estimateDialogueDurationInSeconds(text, charsPerSecond = 5) {
    const dialogueTexts = (0, extractDialogueTexts_1.extractDialogueTexts)(text);
    const totalChars = dialogueTexts.reduce((sum, line) => sum + line.length, 0);
    return Math.ceil(totalChars / charsPerSecond);
}
exports.estimateDialogueDurationInSeconds = estimateDialogueDurationInSeconds;
//# sourceMappingURL=estimateDialogueDuration.js.map