"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadScenarioTemplate = void 0;
const fs = require("fs");
const path = require("path");
function loadScenarioTemplate(context, variables) {
    const templatePath = path.join(context.extensionPath, 'templates', 'newScenarioTemplate.yml');
    const raw = fs.readFileSync(templatePath, 'utf8');
    return raw.replace(/{{(.*?)}}/g, (_, key) => variables[key.trim()] ?? '');
}
exports.loadScenarioTemplate = loadScenarioTemplate;
//# sourceMappingURL=templateLoader.js.map