"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseScenario = void 0;
const yaml = require("js-yaml");
function parseScenario(yamlText) {
    try {
        const data = yaml.load(yamlText);
        return data;
    }
    catch (err) {
        console.error("YAMLパースエラー:", err);
        return null;
    }
}
exports.parseScenario = parseScenario;
//# sourceMappingURL=scenario-parser.js.map